#!/bin/bash

################################################
# lf-updr - Linux Firmware Updater Uninstaller #
# Author: q3aql@duck.com                       #
# License: GPLv2.0                             #
################################################

echo "** lf-updr - Linux Firmware Updater **"
echo ""

# Check if process have root permissions
mkdir -p /etc/root &> /dev/null
administrador=$?
if [ ${administrador} -eq 0 ] ; then
  rm -rf /etc/root
else
  echo "* Root permissions are required"
  exit
fi

# Remove files
echo "* Removing /usr/bin/lf-updr"
rm -rf /usr/bin/lf-updr
echo "* Removing /usr/bin/lf-updr-install"
rm -rf /usr/bin/lf-updr-install
echo "* Removing /etc/cron.d/lf-updr"
rm -rf /etc/cron.d/lf-updr
echo "* Removing /usr/sbin/lf-updrd"
rm -rf /usr/sbin/lf-updrd
systemctl disable lf-updrd
echo "* Removing /etc/systemd/system/lf-updrd.service"
rm -rf /etc/systemd/system/lf-updrd.service
echo "* Done"
